all : demo

# Standard defs:
OBJS = $(SRC:.hs=.o)
GHC  = ghc
CC   = gcc
RM   = rm -f


demo:
	$(GHC) --make -O -package TclHaskell -o demo Demo.hs +RTS -M100M

main:
	$(GHC) -O --make -package TclHaskell -o main Main.hs 

clean:
	$(RM) *.o *.hi *.exe demo main
